﻿
using Syncfusion.JavaScript;
using SyncMVC.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace SyncMVC.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.data = OrderRepository.GetAllRecords();
            return View();
        }
        public ActionResult Event()
        {
            var DataSource = OrderRepository.GetAllRecords();
            DataResult result = new DataResult();
            result.result = DataSource.ToList();
            result.count = DataSource.Count();
            return Json(result, JsonRequestBehavior.AllowGet);
        }
        public ActionResult getColumns()
        {
            List<Columns> columns = new List<Columns>();
            columns.Add(new Columns() { FieldName = "OrderID", FieldType = "Number"});
            columns.Add(new Columns() { FieldName = "CustomerID", FieldType = "String" });
            columns.Add(new Columns() { FieldName = "EmployeeID", FieldType = "Number" });
            columns.Add(new Columns() { FieldName = "OrderDate", FieldType = "Date" });
            columns.Add(new Columns() { FieldName = "ShipCountry", FieldType = "String" });
            return Json(columns, JsonRequestBehavior.AllowGet);
        }
        public class DataResult
        {
            public IEnumerable<EditableOrder> result { get; set; }
            public int count { get; set; }
        }
        public class Columns
        {
            public string FieldName { get; set; }
            public string FieldType { get; set; }
        }
    }
}